Project

General

Profile

Bug #12204

Tails Upgrade Check is broken in Stretch

Added by anonym almost 3 years ago. Updated almost 3 years ago.

Status:
Resolved
Priority:
Elevated
Assignee:
Category:
-
Target version:
Start date:
01/31/2017
Due date:
% Done:

100%

Feature Branch:
iuk:bugfix/12204-version-comparison-fix
Type of work:
Code
Blueprint:
Starter:
Affected tool:
Upgrader

Description

I get:

This version of Tails is outdated, and may have security issues.
tails-upgrade-frontend: error: -1 is not a valid version


Related issues

Duplicated by Tails - Bug #12135: tails-iuk test suite broken Duplicate 01/12/2017

History

#1 Updated by anonym almost 3 years ago

  • Status changed from Confirmed to In Progress
  • % Done changed from 0 to 50
  • QA Check set to Ready for QA
  • Feature Branch set to bugfix/12204-version-comparison-fix

I actually seem to have solved the problem.

#2 Updated by intrigeri almost 3 years ago

  • Priority changed from Normal to Elevated

#3 Updated by intrigeri almost 3 years ago

  • Feature Branch changed from bugfix/12204-version-comparison-fix to iuk:bugfix/12204-version-comparison-fix

#4 Updated by intrigeri almost 3 years ago

  • % Done changed from 50 to 60

Code review passes.

#5 Updated by intrigeri almost 3 years ago

  • Duplicated by Bug #12135: tails-iuk test suite broken added

#6 Updated by intrigeri almost 3 years ago

  • Status changed from In Progress to Resolved
  • % Done changed from 60 to 100
  • QA Check changed from Ready for QA to Pass

Released tails-iuk 2.7-1, uploaded to devel and feature-stretch.

Also available in: Atom PDF